/*
* BJ-Keyer 
*
* 2023-07-29    Tom, DL7BJ
* 
*/
#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED

#include "globals.h"
#include "encoder.h"
#include "functions.h"
#include "controls.h"

struct Config bConfig;
struct MenuCtrl bMenuCtrl;
struct State bState;
// Function prototypes
void Init(void);
void InitTimer(void);
void ReStart(void);

extern void CheckDahPaddle(void);
extern void CheckDitPaddle(void);
extern void CheckStraightKey(void);
extern void SetFrequency(uint16_t f);
extern void DitDahBuffers(void);

extern void DahPaddle(void);
extern void DitPaddle(void);
#endif // BJ-KEYER_H_INCLUDED
